#!/bin/bash

unzip tests.zip # BitBar zips up the tests folder on upload, so this needs to be unzipped

## Test-specific variables
export APPIUM_APPFILE=$PWD/GameDriver_Demo.apk #Replace "GameDriver_Demo" with your Apk filename located in the current working directory
export TEST=${TEST:="GameDriver_BitBar_Tests.dll"} #Replace "GameDriver_BitBar_Tests" with the name of your NUnit Test Library name

## Desired capabilities:
export APPIUM_URL="http://localhost:4723/wd/hub" # Local & Cloud
export APPIUM_DEVICE="Local Device"
export APPIUM_PLATFORM="android"

## Mac Environment variables - comment out for Bitbar execution
#export ANDROID_HOME=/Users/$(whoami)/Library/Android/sdk
#export PATH=$PATH:$ANDROID_HOME/platform-tools
#export PATH=$PATH:$ANDROID_HOME/tools
#export JAVA_HOME=/Library/Java/JavaVirtualMachines/adoptopenjdk-8.jdk/Contents/Home

echo "Starting Appium ..."
appium --log-timestamp &

ps -ef | grep appium

echo "RUN#1"
pwd

# use with --result attribute for BitBar execution, without for local Appium testing
#mono ./ext/nunit3-console.exe ./tests/$TEST --testparam:Mode=appium
mono ./ext/nunit3-console.exe ./tests/$TEST --testparam:Mode=appium --result="TEST-all.xml;transform=nunit3-junit.xslt"

echo "Testing script complete"